%define pypi_name	random2

Name:		python-random2
Summary:	Python 2’s random module for Python 3
Version:	1.0.2
Release:	%mkrel 3
Source0:	%{pypi_source}
URL:		https://pypi.python.org/pypi/random2
Group:		Development/Python
License:	BSD
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

%description
This package provides a Python 3 ported version of Python 2.7’s
random module. It has also been back-ported to work in Python 2.6.

%package -n python3-random2
Summary:	Python 2’s random module for Python 3

%description -n python3-random2
This package provides a Python 3 ported version of Python 2.7’s
random module. It has also been back-ported to work in Python 2.6.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-random2 -f %{pyproject_files}
%doc README*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.2-3.mga10
+ Revision: 2238312
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 daviddavid <daviddavid> 1.0.2-2.mga10
+ Revision: 2154953
- rebuild for python 3.13

* Sat Mar 01 2025 wally <wally> 1.0.2-1.mga10
+ Revision: 2154574
- new version 1.0.2
- rebuild for python3.13

* Thu Dec 14 2023 papoteur <papoteur> 1.0.1-13.mga10
+ Revision: 2018172
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 1.0.1-12.mga9
+ Revision: 1822645
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 1.0.1-11.mga9
+ Revision: 1774824
- rebuild for python-3.10

* Sat Mar 20 2021 neoclust <neoclust> 1.0.1-10.mga9
+ Revision: 1706287
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.1-9.mga8
+ Revision: 1533728
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 1.0.1-8.mga8
+ Revision: 1445450
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.0.1-7.mga7
+ Revision: 1353530
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.1-6.mga7
+ Revision: 1289988
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 shlomif <shlomif> 1.0.1-5.mga7
+ Revision: 1135029
- rebuild for python3

* Fri Feb 19 2016 umeabot <umeabot> 1.0.1-4.mga6
+ Revision: 970492
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 shlomif <shlomif> 1.0.1-3.mga6
+ Revision: 886929
- Rebuild for new python3 (3.5.x)

* Tue Jul 28 2015 joequant <joequant> 1.0.1-2.mga6
+ Revision: 858694
- fix description

* Sun Jul 26 2015 shlomif <shlomif> 1.0.1-1.mga6
+ Revision: 858112
- Importing python-random2

